<?php
include 'core/system.php';

reg();
head('Клановая Магия');


$clan = $dbc->query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."' LIMIT 1")->fetch_assoc();

$clan_id = $clan['id'];

if($user['clan']<=0){ header('location: clan.php'); }


$hp_nap = ($clan['hp_bon']==0) ? 0 : $clan['hp_bon']*20 ;
$sila_nap = ($clan['sila_bon']==0) ? 0 : $clan['sila_bon'] ;
$def_nap = ($clan['def_bon']==0) ? 0 : $clan['def_bon'] ;
$cena_hp = 200000;
$cena_sila = 400;
$cena_def = 400;
$bnf_sil = ($sila_nap+200)*1.5;
$bnf_def = ($def_nap+200)*1.5;

$cena_hp = ($cena_hp+$hp_nap)*3;
$cena_sila = ($cena_sila+$bnf_sil)*2;
$cena_def = ($cena_def+$bnf_def)*2;



if(isset($_GET['hp'])){


if($user['clan_rang']<5){header('location:bul.php');exit;}

if($clan['sera']<$cena_hp){ $_SESSION['message']='не достаточно средств';  header('location:bul.php');exit;}





$dbc->query("UPDATE `clan` SET `hp_bon`=`hp_bon`+50,`sera`=`sera`-'".$cena_hp."' WHERE `id`='".$clan['id']."' "); 



$dbc->query("UPDATE `users` SET `max_health`=`max_health`+50 WHERE `clan`='".$clan['id']."' ");

$_SESSION['message']='Успешно улучшено';
 header('location:bul.php');exit;} 


if(isset($_GET['strong'])){


if($user['clan_rang']<5){header('location:bul.php');exit;}

if($clan['kazna']<$cena_sila){ $_SESSION['message']='не достаточно средств';  header('location:bul.php');exit;}





$dbc->query("UPDATE `clan` SET `sila_bon`=`sila_bon`+10,`kazna`=`kazna`-'".$cena_sila."' WHERE `id`='".$clan['id']."' "); 



$dbc->query("UPDATE `users` SET `strength`=`strength`+10 WHERE `clan`='".$clan['id']."' ");

$_SESSION['message']='Успешно улучшено';
 header('location:bul.php');exit;} 


if(isset($_GET['def'])){


if($user['clan_rang']<5){header('location:bul.php');exit;}

if($clan['kazna']<$cena_def){ $_SESSION['message']='не достаточно средств';  header('location:bul.php');exit;}





$dbc->query("UPDATE `clan` SET `def_bon`=`def_bon`+10,`kazna`=`kazna`-'".$cena_def."' WHERE `id`='".$clan['id']."' "); 



$dbc->query("UPDATE `users` SET `defense`=`defense`+10 WHERE `clan`='".$clan['id']."' ");

$_SESSION['message']='Успешно улучшено';
 header('location:bul.php');exit;} 






?>
<div class="cito-name">Клановая Магия</div><?


?><center><font color=gold>Ресурсы Клана </font> : <img src="img/money/money.png"><?=$clan['kazna']?> <img src="img/stat/sera.png"><?=$clan['sera']?> </center><?

?><div class="mt10">

<center> Улучшая клановую магию вы увеличиваете параметры всех участников клана</center>

<table>

        <tr>
            <td style="width: 45px;"><img src="img/bul/angel.png" style="box-shadow: 0px 0px 20px green; margin: 10px;"></td>







<td>
Ангел-Хранитель </br><div class="font-small text-italic c-verygray"><font color=grey>Даруя духовную силу. герой получает небывалый прилив здоровья</font></div> <img src="img/stat/hp.png" width="12">Здоровье + <?=$clan['hp_bon']?></br>













</div>
            </td>
        </tr>
</table> <?


?><center><a href="bul.php?hp"><input class="btn big" type="submit" value="Улучшить За <?=$cena_hp?> серебра "></a></center><?




?><table>

        <tr>
            <td style="width: 45px;"><img src="img/bul/fire.png" style="box-shadow: 0px 0px 20px red; margin: 10px;"></td>







<td>
Огненная Закалка </br><div class="font-small text-italic c-verygray"><font color=grey>Закаляя Оружие героя, позволяет атаковать с особой эффективностью</font></div> <img src="img/stat/AKulak.png" width="12">Сила + <?=$clan['sila_bon']?></br>









</div>
            </td>
        </tr>
</table> <? 

?><center><a href="bul.php?strong"><input class="btn big" type="submit" value="Улучшить За <?=$cena_sila?> золота "></a></center><?

?><table>


        <tr>
            <td style="width: 45px;"><img src="img/bul/dragon.png" style="box-shadow: 0px 0px 20px violet; margin: 10px;"></td>








<td>
Чешуя Дракона </br><div class="font-small text-italic c-verygray"><font color=grey> Магия Драконов проникает в доспехи героя, делая их крепче стены</font></div> <img src="images/icons/armor.png" width="12">Защита + <?=$clan['def_bon']?></br>











</div>
            </td>
        </tr>
</table> <? 


?><center><a href="bul.php?def"><input class="btn big" type="submit" value="Улучшить За <?=$cena_def?> золота "></a></center><?
/*
$weri   = 82700;


$deyo  = $weri/2000;

$deyo = floor($deyo);




?><?=$deyo?><?


*/



foot();
?>
